/**
 * Accessibar - options.js
 *
 * This file provides functionality for the options dialog whose interface
 * is described in optionsDialog.xul; and the option frames whose interfaces
 * are described in optionsKeyboard.xul and optionsReader.xul.
 *
 * @author Edan Kemelman <edankeme@yahoo.com>
 * @version 0.7.4
 */

function xsiLoadHelp(url)
{
    window.opener.getBrowser().selectedTab = window.opener.getBrowser().addTab(url);
}

/**
 * Restores voice settings to default values.
 */
function xsiRestoreVoiceDefaults()
{ 
    var prefs = Components.classes["@mozilla.org/preferences-service;1"]
    .getService(Components.interfaces.nsIPrefService).getBranch("");
    var defs = Components.classes["@mozilla.org/preferences-service;1"]
    .getService(Components.interfaces.nsIPrefService).getDefaultBranch("");
    
    prefs.setCharPref("accessibar.TextToSpeech.voice", defs.getCharPref("accessibar.TextToSpeech.voice"));    
    prefs.setIntPref("accessibar.TextToSpeech.volume", defs.getIntPref("accessibar.TextToSpeech.volume"));
    prefs.setIntPref("accessibar.TextToSpeech.speed", defs.getIntPref("accessibar.TextToSpeech.speed"));
    prefs.setIntPref("accessibar.TextToSpeech.pitch", defs.getIntPref("accessibar.TextToSpeech.pitch"));   
    prefs.setIntPref("accessibar.TextToSpeech.range", defs.getIntPref("accessibar.TextToSpeech.range"));
}

function xsiToggleTbBtn(btnID)
{
	var tbBtn = window.opener.document.getElementById(btnID);

	tbBtn.collapsed = !tbBtn.collapsed;
}

function xsiUpdateDisplay(value) 
{
    var toolbar = window.opener.document.getElementById("accessibar");

    if(!toolbar || !window.toolbar.visible)
        return;

    toolbar.setAttribute("mode", value);
}


